//
//  PhotoLib.h
//  Stamp
//
//  Created by Carl Brown on 2/27/05.
//  Copyright 2005 Stamps.com. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <Foundation/Foundation.h>


@interface PhotoLib : NSObject {
	NSString *shortName;				//	caption or filename on disk
	NSString *fullName;					//	path to full image
	NSString *thumbNailName;			//	path to thumbnail
	NSImage * tImage;					//	ThumbNail image
	NSImage * fImage;					//	Full image;
	int imageID;						//	ID of the in iPhoto
	
	NSImage * bufferedImage;			//	Used for pasteboard/drag&drop temp images
	
	//	Order processing
	int	qty;							//	Quantity of photos requested
	NSColor * borderColor;				//	Color of stamp border
	int stampValue;						//	Value of stamp in pennies
	NSImage * photoImage;				//	Final resolution of the to-be-printed photo
	
}

//	Order Fields



//		General Photo Fields
- (NSString *)shortName;
- (void)setShortName:(NSString *)sName;

- (int)imageID;							
- (NSString *)imageIDString;			//	String required for DICT object
- (void)setImageID:(int)idVal;

- (NSString *)fullName;
- (void)setFullName:(NSString *)fName;

- (NSImage *)thumbNailImg;
- (NSImage *)fullImg;

- (NSString *)thumbNailName;
- (void)setThumbNailName:(NSString *)tName;

- (void)setBufferedImage:(NSImage *)image;	//	Pasteboard and other transient buffers -- overrides default file buffering if set

//	Postage / Order fields
- (int)qty;				
- (NSColor *)borderColor;
- (int)stampValue;
- (NSImage *)photoImage;
- (double)getCost;		//	Returns the COST of this order based on quantity and stampvalue

- (void)setQty:(int)iQtyOfStamps;
- (void)setBorderColor:(NSColor *)borderColorRequired;
- (void)setStampValue:(int)ValueOfStamp;
- (void)setPhotoImage:(NSImage *)img;



@end
